| Qore VscDebugAdapter Module Reference 0.2

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
VscDebugAdapter::VscDebugAdapter Class Reference

Visual Studio Code debug adapter class. More...

## Public Member Functions
*hash | doCommand (hash data)
| send command to debug server
| execute (string cmd)
| execute command (and exit)
| printfImpl (string fmt,...)
| implement printing to console
nothing | pushEvent (auto event)
| push event from debug server in queue
| run ()
| run processing loop till m_running is True

## Public Attributes
*string | defaultProgram
| use program name unless not specified in launch/attach command

## Private Member Functions
| detach (hash event)
| detach interrupt
Queue | m_outputQueue ()
| queue for VSC Output window
Queue | m_queue ()
| queue if incomming events from debug server
Sequence | m_sequence (1)
| Sequence for events passed to VSC frontend.
Sequence | m_source (1)
| Sequence for loaded source reference.
hash | parseVscRequest (string msg)
| parse request from VSC frontend
| processDebugEvent (hash event)
| process event from debugger
| refuseInterrupt (hash event)
| refuse interrupt and continue
| sendVscEvent (string event, auto payload)
| send event for VSC frontend
| sendVscMessage (hash msg)
| send message for VSC frontend

## Private Attributes
int | m_currentPgmId
| vsc program
hash | m_initializeArgs
| initialize command arguments
hash | m_programState
| program stat information
bool | m_running = True
| process loop flag

## Detailed Description

Visual Studio Code debug adapter class.

VSC launches adapter executable and communicates over stdin and stdout. The class implements common functionality and provides abstract interface to connect debug server